Subject: bug#16532: Test Fail: "tests/chown/separator"

From: Bernhard Voelker <[email-masked]>
Date: Fri, 24 Jan 2014 13:46:15 +0100

On 01/24/2014 01:19 PM, Pádraig Brady wrote:
> On 01/24/2014 07:43 AM, Bernhard Voelker wrote:
>> On 01/24/2014 04:09 AM, Pádraig Brady wrote:
>>> Oh right, grep ^$id_gn: it is so.
>>>
>>> Note we can't rely on getent(1) being available (as noted in bug 9987),
>>> but the failure in that edge case is still a skip as the count will be 0 then.
>>
>> I'm still not convinced that we should mask this misconfiguration
>> by skipping the test.
>>
>> AFAIK it's totally valid to have several names for a gid,
>> but is it permitted the other way round?
>>
>> I'd bet you run into other trouble on such a system, too.
>> Therefore, I see the failing test more as a heads-up to
>> fix the configuration.
>>
>> Thanks & have a nice day,
>> Berny
>>
> 
> Since it's an easy enough workaround it's worth adding IMHO.
> As a general point there should never be any questions
> about test failures. I've seen some test suites become
> less than useful through attrition of little issues.
> For me the tests take more time than the code and are more
> awkward to write, but that's all fine and good as that's
> were the real value is.

Okay, let's go with it then. Thanks.

BTW: I'd change the skip_ message to reflect the above mentioned
corner case where getent is not available, something like:

-  skip_ "multiple IDs for group '$id_gn': $(getent group "$id_gn")"
+  skip_ "group '$id_gn' not biunique: $(getent group | grep "^$id_gn:")"

Have a nice day,
Berny